### Class

# Snapd UserInformation

since: 1.3

#### Description [src]

    final class Snapd.UserInformation : GObject.Object
    {
      /* No available fields */
    }

`SnapdUserInformation` contains information about a user account on the system snapd is running on.

Available since: 1.3

#### Ancestors

- GObject

#### Instance methods

###### snapd_user_information_get_auth_data

Get the email address for this account.

since: 1.26

###### snapd_user_information_get_email

Get the email address for this account.

since: 1.26

###### snapd_user_information_get_id

Get the id for this account.

since: 1.26

###### snapd_user_information_get_ssh_keys

Get the SSH keys added to this account.

since: 1.3

###### snapd_user_information_get_username

Get the local username for this account.

since: 1.3

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.UserInformation:auth-data

No description available.

###### Snapd.UserInformation:email

No description available.

###### Snapd.UserInformation:id

No description available.

###### Snapd.UserInformation:ssh-keys

No description available.

###### Snapd.UserInformation:username

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdUserInformationClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.